<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-client-heading" jhiTranslate="apiformationApp.client.home.createOrEditLabel">Create or edit a Client</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="apiformationApp.client.nom" for="field_nom">Nom</label>
                    <input type="text" class="form-control" name="nom" id="field_nom"
                           formControlName="nom"/>
                    <div *ngIf="editForm.get('nom')!.invalid && (editForm.get('nom')!.dirty || editForm.get('nom')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('nom')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="apiformationApp.client.prenom" for="field_prenom">Prenom</label>
                    <input type="text" class="form-control" name="prenom" id="field_prenom"
                           formControlName="prenom"/>
                    <div *ngIf="editForm.get('prenom')!.invalid && (editForm.get('prenom')!.dirty || editForm.get('prenom')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('prenom')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="apiformationApp.client.telephone" for="field_telephone">Telephone</label>
                    <input type="text" class="form-control" name="telephone" id="field_telephone"
                           formControlName="telephone"/>
                    <div *ngIf="editForm.get('telephone')!.invalid && (editForm.get('telephone')!.dirty || editForm.get('telephone')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('telephone')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="apiformationApp.client.mail" for="field_mail">Mail</label>
                    <input type="text" class="form-control" name="mail" id="field_mail"
                           formControlName="mail"/>
                    <div *ngIf="editForm.get('mail')!.invalid && (editForm.get('mail')!.dirty || editForm.get('mail')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('mail')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
